Page MenuHomePhabricator

Proper pagination on special:Prefixindex and special:allpages
Closed, ResolvedPublic

Description

Special:Prefixindex and Special:Allpages (and maybe more).

The poor navigation links on top are added on bottom now too since T20424 but the table layout is very bad anyway. "font-size: smaller" was maybe added cos long titles resize the form: http://i.imgur.com/1h3z5.png but instead, don't use an evil table for it...

Instead a proper navigation should be used like Previous / Next 200. Why have different paginations at all? Use the best for all, cats and special pages...

Details

Reference
bz30965
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:50 PM
bzimport set Reference to bz30965.
bzimport added a subscriber: Unknown Object (MLST).

Also the nav link on top should be below the form not above.

Bump. It makes no sense why Special:Prefixindex and Special:Allpages list pages from left to right and category pages in lists from up to down

Bump. CSS3 property "column-count" also sorts like category pages.

Still nobody explained why Special:Prefixindex and Special:Allpages should sort from left top right.

Epic fail in usability.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 17 2015, 4:43 PM
Glaisher updated the task description. (Show Details)Oct 17 2015, 4:44 PM
Glaisher set Security to None.
Glaisher removed a subscriber: Glaisher.
Glaisher added a subscriber: Glaisher.

Change 247053 had a related patch set uploaded (by Glaisher):
Use responsive CSS columns on Special:PrefixIndex and Special:AllPages

https://gerrit.wikimedia.org/r/247053

Change 247053 merged by jenkins-bot:
Use responsive CSS columns on Special:PrefixIndex and Special:AllPages

https://gerrit.wikimedia.org/r/247053

Change 247312 had a related patch set uploaded (by Glaisher):
Cleanup on Special:AllPages and Special:PrefixIndex

https://gerrit.wikimedia.org/r/247312

Glaisher claimed this task.Oct 19 2015, 6:05 PM

Change 247312 merged by jenkins-bot:
Cleanup on Special:AllPages and Special:PrefixIndex

https://gerrit.wikimedia.org/r/247312

Glaisher closed this task as Resolved.Oct 26 2015, 11:24 AM

It should now be better than it was previously. At some point, we will probably make these pages use IndexPager (there's an @todo on the file about it) - we will have normal pagination links once that is done.

This looks really ugly for lists containig only one item with a space (at least in FF 41):

This looks really ugly for lists containig only one item with a space (at least in FF 41):

I can also observe this issue on the page in your screenshot on FF and Chrome as well. No idea why this is happening on that specific query but it doesn't always happen when there's only one item with a space. The only place where I could see this issue was the one which you linked. It does appear to be fixed in some column-gaps. Will investigate this more later and try to submit a fix.

Cwek added a subscriber: Cwek.Nov 17 2016, 1:32 AM